Imports System.Collections.Generic


Public Class Basket

    Private _Items As New List(Of BasketItem)
    Public Property Items() As List(Of BasketItem)
        Get
            Return _Items
        End Get
        Set(ByVal value As List(Of BasketItem))
            _Items = value
        End Set
    End Property

End Class


Public Class BasketItem
    Private _Name As String
    Public Property Name() As String
        Get
            Return _Name
        End Get
        Set(ByVal value As String)
            _Name = value
        End Set
    End Property

    Private _ID As String = Guid.NewGuid().ToString()
    Public Property ID() As String
        Get
            Return _ID
        End Get
        Set(ByVal value As String)
            _ID = value
        End Set
    End Property

    Public Sub New(ByVal name As String)
        _Name = name
    End Sub

    Public Sub New()
        ' Used for serialization.
    End Sub
End Class
